Web Search

Gets the rich realtime result for the requested resource, ie. query like weather in london.

The rich result callback_key is obtained by performing first a Web Search and including the enable_rich_callback=true parameter in the request.

Requires a Search plan.

View skill file Skill file for Rich search

Authorization

x-subscription-token string header required
The subscription token that was generated for the product.

Query Parameters

callback_key string required
The callback key to use for the rich header

Headers

api-version string
The API version to use. This is denoted by the format YYYY-MM-DD. Default is the latest that is available. Read more about API versioning.
accept enum<string>
The default supported media type is application/json.
Default: "application/json"
Available options: application/json*/*
cache-control "no-cache"
Brave Search will return cached content by default. To prevent caching set the Cache-Control header to no-cache. This is currently done as best effort.
user-agent string
  • Mozilla/5.0 (Linux; Android 12) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/103.0.5060.71 Mobile Safari/537.36 Android
  • Mozilla/5.0 (iPhone; CPU iPhone OS 15_5 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) CriOS/103.0.5060.63 Mobile/15E148 Safari/604.1 iOS
  • Mozilla/5.0 (Macintosh; Intel Mac OS X 12_4) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/103.0.0.0 Safari/537.36 macOS
  • Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/103.0.0.0 Safari/537.36 Windows
The user agent originating the request. Brave search can utilize the user agent to provide a different experience depending on the device as described by the string. The user agent should follow the commonly used browser agent strings on each platform. For more information on curating user agents, see RFC 9110.

Responses

200 Successful Response
type "rich"
Default: "rich"
results object[]
Default: []
results.type "rich"
Default: "rich"
results.subtype enum<string> required
Available options: calculatorcryptocurrencycurrency
results.provider object nullable
Default: "external"
results.provider.name string required
results.provider.url string required
results.provider.img string nullable
results.language string nullable
results.calculator object nullable
results.calculator.answer number | string nullable
results.cryptocurrency object nullable
Available options: lookupconversion
Default: []
Default: []
results.cryptocurrency.amount integer | number nullable
results.currency object nullable
Default: []
results.definitions object nullable
results.formula1 object nullable
results.formula1.default_view enum<string> nullable
Available options: scheduledriversconstructors
results.formula1.calendar object nullable
results.formula1.drivers object[] nullable
results.news object nullable
results.news.is_topical boolean required
results.news.topic_id integer required
Default: []
Default: []
results.packagetracker object nullable
Default: []
results.american_football object nullable
Default: "american_football"
Available options: basketballbaseballfootball
results.american_football.type enum<string> required
Available options: leagueteamfixture
results.american_football.view enum<string> required
Available options: gamesstandingsfixture
results.american_football.content object | object | object | object | object required
results.football object nullable
Default: "football"
Available options: basketballbaseballfootball
results.football.type enum<string> required
Available options: leagueteamfixture
results.football.view enum<string> required
Available options: gamesstandingsfixture
results.football.content object | object | object | object | object required
results.baseball object nullable
Default: "baseball"
Available options: basketballbaseballfootball
results.baseball.type enum<string> required
Available options: leagueteamfixture
results.baseball.view enum<string> required
Available options: gamesstandingsfixture
results.baseball.content object | object | object | object required
results.basketball object nullable
Default: "basketball"
Available options: basketballbaseballfootball
results.basketball.type enum<string> required
Available options: leagueteamfixture
results.basketball.view enum<string> required
Available options: gamesstandingsfixture
results.basketball.content object | object | object | object required
results.ice_hockey object nullable
Default: "ice_hockey"
Available options: basketballbaseballfootball
results.ice_hockey.type enum<string> required
Available options: leagueteamfixture
results.ice_hockey.view enum<string> required
Available options: gamesstandingsfixture
results.ice_hockey.content object | object | object | object required
results.cricket object nullable
results.cricket.sport enum<string>
Default: "cricket"
Available options: basketballbaseballfootball
results.cricket.type enum<string> required
Available options: leagueteamfixture
results.cricket.view enum<string> required
Available options: gamesstandingsfixture
results.cricket.content object | object | object | object | object required
results.stock object nullable
results.stock.asset_info object required
results.stock.time_range enum<string> required
Available options: 1d5d7d
results.stock.quote object required
results.stock.timeseries object required
results.unitconversion object nullable
Available options: angleareadata_transfer
results.unixtimestamp object nullable
results.unixtimestamp.conversion object | object | object | object required
results.weather object nullable
results.weather.location object required
results.weather.daily object[] required
results.weather.hours3 object[] required
Default: []
response_callback_info object nullable
response_callback_info.vertical enum<string> nullable
The vertical associated with the callback. For the full list of verticals supported see the Rich Vertical list.
Available options: calculatorcryptocurrencycurrency
The unique key for the callback.
The status of the callback operation. The value is either success or failure.
Available options: successfailure
The language used for the search.
Default: "en"
Available options: areubn
404 Not Found
type string
Default: "ErrorResponse"
error object required
error.id string required
A unique identifier for this particular occurrence of the problem.
error.status integer required
The HTTP status code applicable to this problem, expressed as a string value.
error.detail string nullable
Explanation specific to this occurrence of the problem. Like title, this field’s value can be localized.
error.meta object nullable
A meta object containing non-standard meta-information about the error.
error.code enum<string> required
An application-specific error code, expressed as a string value.
Available options: INTERNALQUOTA_LIMITEDRATE_LIMITED
time integer
Default: 0
422 Unprocessable Entity
type string
Default: "ErrorResponse"
error object required
error.id string required
A unique identifier for this particular occurrence of the problem.
error.status integer required
The HTTP status code applicable to this problem, expressed as a string value.
error.detail string nullable
Explanation specific to this occurrence of the problem. Like title, this field’s value can be localized.
error.meta object nullable
A meta object containing non-standard meta-information about the error.
error.code enum<string> required
An application-specific error code, expressed as a string value.
Available options: INTERNALQUOTA_LIMITEDRATE_LIMITED
time integer
Default: 0
429 Too Many Requests
type string
Default: "ErrorResponse"
error object required
error.id string required
A unique identifier for this particular occurrence of the problem.
error.status integer required
The HTTP status code applicable to this problem, expressed as a string value.
error.detail string nullable
Explanation specific to this occurrence of the problem. Like title, this field’s value can be localized.
error.meta object nullable
A meta object containing non-standard meta-information about the error.
error.code enum<string> required
An application-specific error code, expressed as a string value.
Available options: INTERNALQUOTA_LIMITEDRATE_LIMITED
time integer
Default: 0